Skip to content
Start here

Delete waiting room

DELETE/zones/{zone_id}/waiting_rooms/{waiting_room_id}

Deletes a waiting room.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
waiting_room_id: string
ReturnsExpand Collapse
result: object { id }
id: optional string

Delete waiting room

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}
Returns Examples
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}